summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
authorJames Meyer <james.meyer@operamail.com>2010-03-21 17:44:57 (GMT)
committerJames Meyer <james.meyer@operamail.com>2010-03-21 17:44:57 (GMT)
commitb6b7cd41b193c21fbed23c47dc56dbc16c113be9 (patch)
tree079b01483032e7e88a4bb4cb51be88d82841fbac
parentc5668043d54b597d7218c7931e0096e0a2725d2a (diff)
downloadlinhes_pkgbuild-b6b7cd41b193c21fbed23c47dc56dbc16c113be9.zip
linhes_pkgbuild-b6b7cd41b193c21fbed23c47dc56dbc16c113be9.tar.gz
linhes_pkgbuild-b6b7cd41b193c21fbed23c47dc56dbc16c113be9.tar.bz2
ccache: initial import
ref 508
-rw-r--r--abs/extra-testing/ccache/PKGBUILD35
1 files changed, 35 insertions, 0 deletions
diff --git a/abs/extra-testing/ccache/PKGBUILD b/abs/extra-testing/ccache/PKGBUILD
new file mode 100644
index 0000000..14c3be9
--- /dev/null
+++ b/abs/extra-testing/ccache/PKGBUILD
@@ -0,0 +1,35 @@
+# $Id: PKGBUILD 33524 2009-04-04 13:56:15Z giovanni $
+# Maintainer: Giovanni Scafora <giovanni@archlinux.org>
+# Contributor: Tom Newsom <Jeepster@gmx.co.uk>
+
+pkgname=ccache
+pkgver=2.4
+pkgrel=5
+pkgdesc="ccache is a compiler cache"
+url="http://ccache.samba.org/"
+source=(http://samba.org/ftp/${pkgname}/$pkgname-$pkgver.tar.gz)
+license=('GPL')
+arch=('i686' 'x86_64')
+depends=('glibc')
+md5sums=('73c1ed1e767c1752dd0f548ec1e66ce7')
+
+build() {
+ cd ${srcdir}/${pkgname}-${pkgver}
+ ./configure --prefix=/usr
+ make || return 1
+ install -Dm 755 ccache ${pkgdir}/usr/bin/ccache
+ install -Dm 644 ccache.1 ${pkgdir}/usr/share/man/man1/ccache.1
+
+ mkdir -p ${pkgdir}/usr/lib/ccache/bin
+ ln -sf /usr/bin/ccache ${pkgdir}/usr/lib/ccache/bin/cc
+ ln -sf /usr/bin/ccache ${pkgdir}/usr/lib/ccache/bin/gcc
+ ln -sf /usr/bin/ccache ${pkgdir}/usr/lib/ccache/bin/g++
+ ln -sf /usr/bin/ccache ${pkgdir}/usr/lib/ccache/bin/cpp
+ ln -sf /usr/bin/ccache ${pkgdir}/usr/lib/ccache/bin/c++
+ ln -sf /usr/bin/ccache ${pkgdir}/usr/lib/ccache/bin/${CHOST}-cc
+ ln -sf /usr/bin/ccache ${pkgdir}/usr/lib/ccache/bin/${CHOST}-gcc
+ ln -sf /usr/bin/ccache ${pkgdir}/usr/lib/ccache/bin/${CHOST}-g++
+ ln -sf /usr/bin/ccache ${pkgdir}/usr/lib/ccache/bin/${CHOST}-cpp
+ ln -sf /usr/bin/ccache ${pkgdir}/usr/lib/ccache/bin/${CHOST}-c++
+}
+